package net.northking.cctp.element.desktop.enums;

import com.alibaba.fastjson.JSON;
import net.northking.cctp.element.core.type.EnumClass;

import java.util.*;

/**
 * <p>Title: WorkWayEnum</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/12/01
 * <p>Copyright: NorthKing@RPA（C）2020 版权</p>
 */

public enum WorkWayEnum implements EnumClass {
    /**
     * SCREEN
     */
    SCREEN("屏幕截图", 1),
    /**
     * ELEMENT
     */
    ELEMENT("元素截图", 2);

    private String key;

    private Integer value;

    WorkWayEnum(String key, Integer value){
        this.key = key;
        this.value = value;
    }

    @Override
    public String getEnumData() {
        List<Map<String,Object>> result = new ArrayList<>();
        for (WorkWayEnum nullEnum : EnumSet.allOf(WorkWayEnum.class)) {
            Map<String,Object> one = new HashMap();
            one.put("label",nullEnum.key);
            one.put("value",nullEnum.value);
            result.add(one);
        }
        return JSON.toJSONString(result);
    }
}